> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 855

> Wire-ready X12 855 interchange

### Path parameters

<ParamField path="partner_id" type="string" required>
  Partner ID
</ParamField>

### Request body

`Ack855`

<ParamField body="ack_date" type="string (date)" required />

<ParamField body="ack_type" type="string">
  BAK02 acknowledgment type: AC accept, AD accept with detail, AK acknowledge no detail, RJ reject.
</ParamField>

<ParamField body="lines" type="AckLine[]" required />

<ParamField body="po_date" type="string (date)" />

<ParamField body="po_number" type="string" required />

### Response

No response body. Wire-ready X12 855 interchange.

### Status codes

| Code  | Meaning                                |
| ----- | -------------------------------------- |
| `200` | Wire-ready X12 855 interchange         |
| `403` | Not this credential's partner          |
| `422` | Invalid payload or delimiter collision |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://edi.stateset.com/v1/edi/outbound/855/{partner_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "ack_date": "2026-08-31",
    "ack_type": "string",
    "lines": [
      {
        "ids": [],
        "line_number": "string",
        "quantity": "string",
        "status": "pending",
        "status_quantity": "string",
        "unit_price": "49.00",
        "uom": "string"
      }
    ],
    "po_date": "2026-08-31",
    "po_number": "ORD-10042"
  }'
  ```
</RequestExample>
